﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace rubanovkafe
{
    public partial class FormLogin : Form
    {
        public FormLogin()
        {
            InitializeComponent();
            StartPosition = FormStartPosition.CenterScreen;
        }
        private void buttonLogin_Click(object sender, EventArgs e)
        {
            string username = textBoxUsername.Text;
            string password = textBoxPassword.Text;
            SqlConnection conn = new SqlConnection("Data Source=class31000;Initial Catalog=Kafe09;Integrated Security=True");
            conn.Open();
            SqlCommand cmd = new SqlCommand("SELECT Doljnost FROM Polzovateli WHERE Username=@username AND Password=@password", conn);
            cmd.Parameters.AddWithValue("@username", username);
            cmd.Parameters.AddWithValue("@password", password);
            SqlDataReader reader = cmd.ExecuteReader();
            if (reader.HasRows)
            {
                reader.Read();
                string Doljnost = reader["Doljnost"].ToString();
                int Status = reader.GetInt32(0);
                if (Status == 1)
                {
                    if (Doljnost == "1")
                    {
                        // Открытие формы для администратора
                        MessageBox.Show("Вы успешно вошли как администратор!", "Успешно!", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        FormAdmin frm = new FormAdmin();
                        frm.Show();
                        this.Hide();
                    }
                    else if (Doljnost == "2")
                    {
                        // Открытие формы для повара
                        MessageBox.Show("Вы успешно вошли как повар!", "Успешно!", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        FormPovar frm = new FormPovar();
                        frm.Show();
                        this.Hide();
                    }
                    else if (Doljnost == "3")
                    {
                        // Открытие формы для официанта
                        MessageBox.Show("Вы успешно вошли как официант!", "Успешно!", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        FormOficiant frm = new FormOficiant();
                        frm.Show();
                        this.Hide();
                    }
                    else if (Doljnost == "4")
                    {
                        // Открытие формы для официанта
                        MessageBox.Show("Вы успешно вошли как администратор кафе!", "Успешно!", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        FormAdminKafe frm = new FormAdminKafe();
                        frm.Show();
                        this.Hide();
                    }

                }
                else
                {
                    // Неверный логин или пароль
                    MessageBox.Show("Такого аккаунта не существует!", "Аккаунта не существует!", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
            else
            {
                MessageBox.Show("Отказано в доступе!", "Аккаунт заблокирован!", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
            conn.Close();
        }
    }
}

